TP-Link TL-WR841N(D), WA701N(D), WR740N(D), WR741N(D), WR743N(D), WR940N, WR941N(D) - LADUS / JULIA / Ultra Lite / VPN builds


#207

The kernel is missing the needed symbols...
You could not load a kernel module if it wasn't enabled at the build time of the kernel.
Additionally i think the kernel is stripped down to the minimum to fit into 4 mb flash.


#208

I really aprociate a new realease od LADDUS build from last LEDE 17.01.4 branch too :slight_smile:


#209

Hi there, I'm unable to compile a build for WR841n v11 with mwan3.
Can someone help me with this: Ultra Lite build with mwan3.
Thank you.


#210

@jayanta525
You must take into account the small capacity that these routers have (4MB flash) and the size of the packages you need to install, for what you need I think the best branch would be LEDE 17.05 or libreCMC, the OpenWrt 18.06 branch has increased the size of the Luci interface and the base packages leaving little space.
I think that your compilation should take mwan3 and SQM nothing else, in addition to eliminating unnecessary packages even IPv6 if you do not occupy it,


#211

@xhaka
I somehow managed to compile a working build with luci and mwan3.
I got mwan3 to work with 2 WAN connection, using eth1 as WAN and eth0.2 as WANB. But whenever I create a third WAN interface using eth0.3, the interface fails to connect. Even after changing MAC addresses on all the interface, it fails. Can you point out what I might be doing wrong? Any help will be appreciated, Thank you.

Device: TP-Link WR841Nv11
Switch: QCA9533


#212

@jayanta525
Hello, you should check How to get MWAN3 Working Properly on OpenWRT / LEDE about the requirements and configuration of mwan3, in my experience with multiWAN I preferred to use Tomato by Shibby.


#213

@hmd61551 Friend could you tell me if the ultralite version is 100% stable?


#214

has anybody gotten the wifi to work on the 841n ver 13 with the mediatek chip? i gave up months ago and am coming back to look and see if it works. the wifi was unstable then. the v13 is different than the rest and has 64mb ram and 8mb flash


#215

Hi. I have a tplink801nd V1. Is there any light version of open wrt to use? I am interested in Open VPN but my router has run out of memory and I can't install anything.

Thanks


#216

I would love to get an wr741v4 image with integrated wireguard support


#217

https://openwrt.org/docs/guide-developer/build-system/install-buildsystem
https://openwrt.org/docs/guide-developer/build-system/use-buildsystem

.config.seed

CONFIG_TARGET_ar71xx=y
CONFIG_TARGET_ar71xx_tiny=y
CONFIG_TARGET_ar71xx_tiny_DEVICE_tl-wr741nd-v4=y
# CONFIG_BUSYBOX_DEFAULT_FEATURE_IPV6 is not set
CONFIG_CLEAN_IPKG=y
# CONFIG_IPV6 is not set
CONFIG_KERNEL_CC_OPTIMIZE_FOR_PERFORMANCE=y
# CONFIG_KERNEL_CC_OPTIMIZE_FOR_SIZE is not set
# CONFIG_KERNEL_CRASHLOG is not set
# CONFIG_KERNEL_DEBUG_FS is not set
# CONFIG_KERNEL_IPV6 is not set
# CONFIG_KERNEL_IP_MROUTE is not set
# CONFIG_KERNEL_MAGIC_SYSRQ is not set
# CONFIG_KERNEL_PRINTK is not set
# CONFIG_KERNEL_PRINTK_TIME is not set
CONFIG_KERNEL_SQUASHFS_FRAGMENT_CACHE_SIZE=3
CONFIG_LIBSODIUM_MINIMAL=y
CONFIG_LUCI_SRCDIET=y
# CONFIG_PACKAGE_MAC80211_DEBUGFS is not set
# CONFIG_PACKAGE_MAC80211_MESH is not set
CONFIG_PACKAGE_ip-tiny=y
# CONFIG_PACKAGE_kmod-nf-ipt6 is not set
CONFIG_PACKAGE_kmod-nls-base=y
CONFIG_PACKAGE_kmod-udptunnel4=y
CONFIG_PACKAGE_kmod-wireguard=y
# CONFIG_PACKAGE_libip6tc is not set
CONFIG_PACKAGE_libiwinfo-lua=y
CONFIG_PACKAGE_liblua=y
CONFIG_PACKAGE_liblucihttp=y
CONFIG_PACKAGE_liblucihttp-lua=y
CONFIG_PACKAGE_libmbedtls=y
CONFIG_PACKAGE_libmnl=y
CONFIG_PACKAGE_libsodium=y
CONFIG_PACKAGE_libubus-lua=y
CONFIG_PACKAGE_libustream-mbedtls=y
CONFIG_PACKAGE_lua=y
CONFIG_PACKAGE_luci-app-firewall=y
CONFIG_PACKAGE_luci-app-wireguard=y
CONFIG_PACKAGE_luci-base=y
CONFIG_PACKAGE_luci-lib-httpprotoutils=y
CONFIG_PACKAGE_luci-lib-ip=y
CONFIG_PACKAGE_luci-lib-jsonc=y
CONFIG_PACKAGE_luci-lib-nixio=y
CONFIG_PACKAGE_luci-mod-admin-full=y
CONFIG_PACKAGE_luci-mod-network=y
CONFIG_PACKAGE_luci-mod-status=y
CONFIG_PACKAGE_luci-mod-system=y
CONFIG_PACKAGE_luci-proto-wireguard=y
CONFIG_PACKAGE_luci-theme-bootstrap=y
# CONFIG_PACKAGE_opkg is not set
CONFIG_PACKAGE_px5g-mbedtls=y
CONFIG_PACKAGE_rpcd=y
CONFIG_PACKAGE_rpcd-mod-rrdns=y
CONFIG_PACKAGE_uhttpd=y
CONFIG_PACKAGE_wireguard=y
CONFIG_PACKAGE_wireguard-tools=y
CONFIG_PACKAGE_wpad-basic=y
# CONFIG_PACKAGE_wpad-mini is not set
CONFIG_STRIP_KERNEL_EXPORTS=y
CONFIG_USE_MKLIBS=y
CONFIG_PACKAGE_libpthread=y

Folder with factory and sysupgrade image for wr741v4. LuCI over HTTPS, Wireguard app, pppoe and firewall
https://mega.nz/#F!LyZDGQpB!r9PLsgSCh62Xkhftu1y89Q


#218

Hi All,
is there 18.06-based and stable fw for WR941N(D) with adblock (and maybe ipv6 or openvpn if it fits) included?
Or maybe someone can compile one for the community? Thanks!


#219

#220

@mixmax

I think nobody has built a custom build based on OpenWrt 18.06 for routers with 4MB of Flash, because the branch 18.06 of OpenWrt is very heavy due to the updates of the LuCi interface as of the packages, someone builds one for the TP-LINK WR841 but it turned out to be very unstable; since the same creator the frame in his topic that was not used.
The best option for routers with 4MB flash is to use LEDE (it will only support until January 2019, since it is planned to launch OpenWrt 19.01) we hope that the new versions of OpenWrt take into account the small routers, I think we can only use them in a very basic if we want Adblock, OpenVPN, SQM or Wireguard we will have to acquire a minimum router of 8MB of flash


#221

That is not true. WR841 can run latest OpenWRT and it's stable.


#222

I have build my custom OpenWRT 18.06.1 firmware (removed ipv6, opkg, ppp; changed the blocksize to 1024; added muninlite, sqm and upnp) and it runs 24/7 flawlessly on multiple 32/4 devices: WR741v4, WR841 (v8, v9, v11), WR941v3.


#223

@gajdipajti
Yes, I understand your custom build based on OpenWrt 18.06.1 is for basic use as I explain, but having built one that has PPPoE / IPv6 enabled, extra SQM, UPnP, mbedtls for Adblock is what users are currently requesting


#224

@0xCrypt
OpenWrt 18.06.1 works stably in the WR841 due to the speed of its CPU 500Mhz +, what community users ask is custom builds based on the branch 18.06.1 that include the packages that I mentioned earlier for slower devices with CPU 400Mhz- like the WR740 for example


#225

My bad, didn't read correctly


#226

With SQM Activated ? I think not, maybe without, it should work without problems.